<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Тайтл-Edit Page</title>
</head>
<body>
<a th:href="@{/users/{id}(id=${user.getId()})}" th:text="${user.getFirstname()}+' '+${user.getLastname()}">Back</a>
<form th:method="PATCH" th:action="@{/users/{id}(id=${user.getId()})}" th:object="${user}">
    <table>
        <tr>
            <td> <label for="firstname">First Name</label> </td>
            <td> <input name="firstname" type="text" id="firstname" th:field="*{firstname}"> </td>
        </tr>
        <tr>
            <td> <label for="lastname">Last Name</label> </td>
            <td> <input name="lastname" type="text" id="lastname" th:field="*{lastname}"></td>
        </tr>
        <tr>
            <td> <label for="age">Age</label></td>
            <td> <input name="age" type="text" id="age" th:field="*{age}"> </td>
        </tr>
        <tr>
            <td> <label for="email">Email</label></td>
            <td> <input name="email" type="email" id="email" th:field="*{email}"> </td>
        </tr>
    </table>
    <input type="submit" value="Update User"/>



</form>
</body>
</html>